## icedtea-web 1.6.2

=== tests/reproducers/custom/AdditionalJarsInMetaInfIndexList/srcs/Makefile ===
TESTNAME=AdditionalJarsInMetaInfIndexList
ARCHIVE_TEST_FOLDER=archive_tag_folder_test

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
KEYTOOL=$(EXPORTED_KEYTOOL)
JARSIGNER=$(EXPORTED_JARSIGNER)
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)

# File used because the 'jar' command does not accept an empty file
DUMMY_FILE=jar_dummy_content

# Index jar causes main class jar to load
INDEX_JAR_UNSIGNED=AdditionalJarsInMetaInfIndexListUnsigned.jar
INDEX_JAR_SIGNED=AdditionalJarsInMetaInfIndexListSigned.jar

MAINCLASS=LoadedViaMetaInfIndexList

MAINCLASS_JAR_UNSIGNED=LoadedViaMetaInfIndexListUnsigned.jar
MAINCLASS_JAR_SIGNED=LoadedViaMetaInfIndexListSigned.jar

TMPDIR:=$(shell mktemp -d)

prepare-reproducer: 
	echo PREPARING REPRODUCER $(TESTNAME) in $(TMPDIR)
	
	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) $(MAINCLASS).java
	
	# Create the jars which have INDEX.LIST
	cd $(TMPDIR) ; \
	echo "This file exists because jar command does not take 0 args" > $(DUMMY_FILE) ; \
	$(JAR) cvf $(INDEX_JAR_UNSIGNED) $(DUMMY_FILE)	; \
	$(JAR) cvf $(INDEX_JAR_SIGNED) $(DUMMY_FILE) ;
	
	# Create the jar which has the main-class
	# and update INDEX_JAR_*'s index
	cd $(TMPDIR) ; \
	$(JAR) cvf $(MAINCLASS_JAR_UNSIGNED) $(MAINCLASS).class ; \
	$(JAR) cvf $(MAINCLASS_JAR_SIGNED) $(MAINCLASS).class  ; \
	$(JAR) i $(INDEX_JAR_UNSIGNED) $(MAINCLASS_JAR_UNSIGNED) ; \
	$(JAR) i $(INDEX_JAR_SIGNED) $(MAINCLASS_JAR_SIGNED) ; 
	
	# Sign some of the jars for the signed jar test
	cd $(TMPDIR) ; \
	for jar_to_sign in $(MAINCLASS_JAR_SIGNED) $(INDEX_JAR_SIGNED); do \
	   $(EXPORTED_JARSIGNER) -keystore $(TOP_BUILD_DIR)/$(PRIVATE_KEYSTORE_NAME) -storepass  $(PRIVATE_KEYSTORE_PASS)  \
	   -keypass $(PRIVATE_KEYSTORE_PASS) "$$jar_to_sign" $(TEST_CERT_ALIAS)_signed   ; \
	done
	
	# Move jars into deployment directory
	cd $(TMPDIR); \
	mv $(INDEX_JAR_UNSIGNED) $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ; \
	mv $(INDEX_JAR_SIGNED) $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ; \
	mv $(MAINCLASS_JAR_UNSIGNED) $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ; \
	mv $(MAINCLASS_JAR_SIGNED) $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ; 
	
	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR)
	rm -rf $(TMPDIR)

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/AppletExtendsFromOutsideJar/srcs/Makefile ===
TESTNAME=AppletExtendsFromOutsideJar

SRC_FILES=AppletReferenceInSameJar.java AppletReferenceOutOfJar.java Referenced.java
JAR_FILES=AppletReferenceInSameJar.class Referenced.class
OUTER_FILE=AppletReferenceOutOfJar.class

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)

TMPDIR:=$(shell mktemp -d)

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME) in $(TMPDIR)
	
	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) $(SRC_FILES)
	
	cd $(TMPDIR); \
	$(JAR) cvf $(TESTNAME).jar $(JAR_FILES); \
	mv $(OUTER_FILE) $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	mv $(TESTNAME).jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); 
	
	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR)
	rm -rf $(TMPDIR)

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/ExtensionJnlpsInApplet/srcs/Makefile ===
TESTNAME=ExtensionJnlpsInApplet

SRC_FILES=ExtensionJnlpHelper.java ExtensionJnlpTestApplet.java
RESOURCE_FILES=ExtensionJnlpTest.html ExtensionJnlpTestApplet.jnlp ExtensionJnlpHelper.jnlp
ENTRYPOINT_CLASSES=ExtensionJnlpHelper ExtensionJnlpTestApplet

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)

TMPDIR:=$(shell mktemp -d)

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME)

	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) $(SRC_FILES)

	cd ../resources; \
	cp $(RESOURCE_FILES) $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	cd -; \
	ls; \
	for CLASS in $(ENTRYPOINT_CLASSES); \
	do \
		cd $(TMPDIR); \
		$(JAR) cfe "$$CLASS.jar" "$$CLASS" "$$CLASS.class"; \
		cd -;\
		mv $(TMPDIR)/"$$CLASS.jar" $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	done; \

	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR)
	rm -rf $(TMPDIR)

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/JNLPClassLoaderDeadlock/srcs/Makefile ===
TESTNAME=JNLPClassLoaderDeadlock

SRC_FILES=JNLPClassLoaderDeadlock_1.java JNLPClassLoaderDeadlock_2.java
RESOURCE_FILES=JNLPClassLoaderDeadlock.html
ENTRYPOINT_CLASSES=JNLPClassLoaderDeadlock_1 JNLPClassLoaderDeadlock_2

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)

TMPDIR:=$(shell mktemp -d)

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME)

	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) $(SRC_FILES)

	cd ../resources; \
	cp $(RESOURCE_FILES) $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	cd -; \
	for CLASS in $(ENTRYPOINT_CLASSES); \
	do \
		mv $(TMPDIR)/"$$CLASS.class" $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	done; \

	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR)
	rm -rf $(TMPDIR)

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/MultipleSignaturesPerJar/srcs/Makefile ===
TESTNAME=MultipleSignaturesPerJar

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
KEYTOOL=$(EXPORTED_KEYTOOL)
JARSIGNER=$(EXPORTED_JARSIGNER)
JARSIGNER_CMD=$(JARSIGNER) -keystore $(TOP_BUILD_DIR)/$(PRIVATE_KEYSTORE_NAME) -storepass  $(PRIVATE_KEYSTORE_PASS) -keypass $(PRIVATE_KEYSTORE_PASS) 
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)

# Index jar causes main class jar to load

TMPDIR:=$(shell mktemp -d)

prepare-reproducer: 
	echo PREPARING REPRODUCER $(TESTNAME) in $(TMPDIR)
	
	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) somecrazytestpackage/MultipleSignaturesPerJarMain.java
	
	# Extract ReadPropertiesSigned.class for our usage
	cd $(TMPDIR) ; \
	$(JAR) xf $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR)/ReadPropertiesSigned.jar ReadPropertiesSigned.class ; 
	
	# Create jars *testname*_A_and_B.jar, *testname*_A_only.jar, *testname*_B_only.jar 
	# These are signed by signatures A and B, A only, B only, respectively.
	
	# *testname*_A_and_B.jar as well as *testname*_B_only.jar contain ReadPropertiesSigned.class, which exercises the signing.
	# *testname*_A_only.jar contains MultipleSignaturesTest.class, the (reused) main class for this reproducer.
	
	cd $(TMPDIR) ; \
	$(JAR) cvf $(TESTNAME)_B_only.jar ReadPropertiesSigned.class ; \
	cp $(TESTNAME)_B_only.jar $(TESTNAME)_A_and_B.jar ; \
	$(JAR) cvf $(TESTNAME)_A_only.jar somecrazytestpackage ;
	
	# Sign with signature 'A', the signature used in the 'signed' reproducer group
	cd $(TMPDIR) ; \
	for jar_to_sign in $(TESTNAME)_A_only.jar $(TESTNAME)_A_and_B.jar; do \
	   $(JARSIGNER_CMD) -sigfile Alpha "$$jar_to_sign" $(TEST_CERT_ALIAS)_signed  ; \
	done
	
	# Sign with signature 'B', the signature used in the 'signed2' reproducer group
	cd $(TMPDIR) ; \
	for jar_to_sign in $(TESTNAME)_B_only.jar $(TESTNAME)_A_and_B.jar; do \
	   $(JARSIGNER_CMD) -sigfile Beta "$$jar_to_sign" $(TEST_CERT_ALIAS)_signed2  ; \
	done
	
	# Move jars into deployment directory
	cd $(TMPDIR); \
	mv $(TESTNAME)_B_only.jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ; \
	mv $(TESTNAME)_A_only.jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ; \
	mv $(TESTNAME)_A_and_B.jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ;
	
	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR)
	rm -rf $(TMPDIR)

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/PackGZip/srcs/Makefile ===
TESTNAME=PackGZip

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)
JARSIGNER=$(EXPORTED_JARSIGNER)
PACKER=$(EXPORTED_PACK200)

TMPDIR:=$(shell mktemp -d)

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME)

	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) $(TESTNAME).java; \
	
	cp ../resources/* $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \

	cd $(TMPDIR); \
	$(JAR) cf $(TESTNAME).jar $(TESTNAME).class; \
	cd $(TMPDIR); \
    $(PACKER) $(TESTNAME).jar.pack.gz $(TESTNAME).jar; \
	cp $(TMPDIR)/$(TESTNAME).jar.pack.gz $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \

	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR); \
	rm -rf $(TMPDIR); \

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/PartiallySignedAppletManifestSpecifiesSandbox/srcs/Makefile ===
TESTNAME=PartiallySignedAppletManifestSpecifiesSandbox

SRC_FILES=PartiallySignedAppletManifestSpecifiesSandboxSigned.java PartiallySignedAppletManifestSpecifiesSandboxUnsigned.java
ENTRYPOINT_CLASSES=PartiallySignedAppletManifestSpecifiesSandboxHelper

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)
JARSIGNER=$(EXPORTED_JARSIGNER)
JARSIGNER_CMD=$(JARSIGNER) -keystore $(TOP_BUILD_DIR)/$(PRIVATE_KEYSTORE_NAME) -storepass $(PRIVATE_KEYSTORE_PASS) -keypass $(PRIVATE_KEYSTORE_PASS)

TMPDIR:=$(shell mktemp -d)

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME)

	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) $(SRC_FILES); \
	
	cp ../resources/* $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	cp ../srcs/MANIFEST.MF* $(TMPDIR); \

	cd $(TMPDIR); \
	$(JAR) cfme PartiallySignedAppletManifestSpecifiesSandboxSigned.jar MANIFEST.MF.1 signed.PartiallySignedAppletManifestSpecifiesSandboxSigned signed; \
	$(JAR) cfme PartiallySignedAppletManifestSpecifiesSandbox.jar MANIFEST.MF.1 unsigned.PartiallySignedAppletManifestSpecifiesSandboxUnsigned unsigned; \
        $(JAR) cfme PartiallySignedAppletManifestSpecifiesAllPermissionSigned.jar MANIFEST.MF.2 signed.PartiallySignedAppletManifestSpecifiesSandboxSigned signed; \
	$(JAR) cfme PartiallySignedAppletManifestSpecifiesAllPermission.jar MANIFEST.MF.2 unsigned.PartiallySignedAppletManifestSpecifiesSandboxUnsigned unsigned; \
	cd -; \

	$(JARSIGNER_CMD) -sigfile Alpha $(TMPDIR)/PartiallySignedAppletManifestSpecifiesSandboxSigned.jar $(TEST_CERT_ALIAS)_signed; \
	$(JARSIGNER_CMD) -sigfile Alpha $(TMPDIR)/PartiallySignedAppletManifestSpecifiesAllPermissionSigned.jar $(TEST_CERT_ALIAS)_signed; \

	cp $(TMPDIR)/PartiallySignedAppletManifestSpecifies{Sandbox,AllPermission}{Signed,}.jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \

	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR); \
	rm -rf $(TMPDIR); \

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/SignedAppletExternalMainClass/srcs/Makefile ===
TESTNAME=SignedAppletExternalMainClass

JARSIGNER=$(EXPORTED_JARSIGNER)
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)

TMPDIR:=$(shell mktemp -d)

prepare-reproducer: 
	echo PREPARING REPRODUCER $(TESTNAME) in $(TMPDIR)
	
	$(JAVAC) -d $(TMPDIR) $(TESTNAME).java $(TESTNAME)Helper.java
	
	cd $(TMPDIR) ; \
	$(JAR) cvf $(TESTNAME)Helper.jar $(TESTNAME)Helper.class ; \
	$(EXPORTED_JARSIGNER) -keystore $(TOP_BUILD_DIR)/$(PRIVATE_KEYSTORE_NAME) -storepass  $(PRIVATE_KEYSTORE_PASS)  \
	-keypass $(PRIVATE_KEYSTORE_PASS) "$(TMPDIR)/$(TESTNAME)Helper.jar" $(TEST_CERT_ALIAS)_signed   ; \
	
	cd $(TMPDIR); \
	mv $(TESTNAME).class $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ; \
	mv $(TESTNAME)Helper.jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ;
	
	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR)
	rm -rf $(TMPDIR)

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== debian/changelog ===
icedtea-web (1.6.2-3ubuntu1) xenial; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Apr 2016 18:22:41 +0200

icedtea-web (1.6.2-3) unstable; urgency=medium

  * icedtea-netx: Remove the alternative openjdk-7-jre dependency.
    Closes: #816451.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Apr 2016 18:15:51 +0200

icedtea-web (1.6.2-2ubuntu1) xenial; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 13:58:00 +0100

icedtea-web (1.6.2-2) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't try to handle alternatives for openjdk-7; we'll remove it anyway.
    Closes: #813887, #813906, #813941.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 13:23:48 +0100

icedtea-web (1.6.2-1) unstable; urgency=medium

  * IcedTea-Web 1.6.2 release.
  * Build using openjdk-8, stop building the plugin for openjdk-7.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 09:25:32 +0100

icedtea-web (1.6.1-4) unstable; urgency=medium

  * Update to the tip of the 1.6 branch.
    - Apparently fixed running http://www.java.com/en/download/installed.jsp.
      Closes: #805608.
  * icedtea-netx: Don't ship any binaries in /usr/bin.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2016 13:31:49 +0100

icedtea-web (1.6.1-3) unstable; urgency=medium

  * icedtea-netx: Fix postinst script. Closes: #812854.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Jan 2016 12:22:35 +0100

icedtea-web (1.6.1-2) unstable; urgency=medium

  * Update the copyright file.
  * Fix quoting (building the docs).
  * Build only the english docs and man pages.
  * icedtea-8-plugin: Fix postinst script.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Jan 2016 00:25:15 +0100

icedtea-web (1.6.1-1) unstable; urgency=medium

  * IcedTea-Web 1.6.1 release.
    - CVE-2015-5234: applet URL sanitization issue
    - CVE-2015-5235: unsigned applet origin issue. Closes: #798467.
  * Build using npapi-sdk-dev. Closes: #754367.
  * Build a icedtea-8-plugin package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Jan 2016 13:55:17 +0100

icedtea-web (1.5.3-0ubuntu1) xenial; urgency=medium

  * Updated to upstream version 1.5.3 to fix two security issues:
    - CVE-2015-5234: applet URL sanitization issue
    - CVE-2015-5235: unsigned applet origin issue

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Nov 2015 13:01:10 -0500

icedtea-web (1.5.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix alternatives handling in icedtea-netx.postinst.in
    (closes: #778631).

 -- Gilles Filippini <pini@debian.org>  Sun, 22 Mar 2015 08:55:55 +0100

=== debian/control ===
Source: icedtea-web
Section: java
Priority: extra
Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
Uploaders: Matthias Klose <doko@ubuntu.com>, Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: debhelper (>= 5), dh-autoreconf, bc,
 firefox-dev, openjdk-8-jdk, zip, lsb-release, libgtk2.0-dev, pkg-config, default-jre-headless
Standards-Version: 3.9.6
Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web
Vcs-Bzr: http://bazaar.launchpad.net/~openjdk/openjdk/icedtea-web
Vcs-Browser: https://code.launchpad.net/~openjdk/openjdk/icedtea-web

Package: icedtea-netx
Architecture: amd64 armel armhf arm64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 ppc64el s390 s390x sparc x32
Multi-Arch: same
Depends: ${netx:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Replaces: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Description: NetX - implementation of the Java Network Launching Protocol (JNLP)
 NetX provides a drop-in replacement for javaws (Java Web Start). Since
 upstream NetX is dormant, IcedTea is hosting and modifying the sources
 in the IcedTea-Web directory.
 .
 IcedTea's NetX currently supports verification of signed jars, trusted
 certificate storing, system certificate store checking, and provides
 the services specified by the jnlp API.

Package: icedtea-plugin
Section: web
Architecture: all
Depends: icedtea-8-plugin, ${misc:Depends}
Description: web browser plugin to execute Java applets (dependency package)
 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
 LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
 browsers that support the NPAPI.
 .
 This is a dependency package, it can be safely removed after upgrade.

Package: icedtea-netx-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Replaces: icedtea-netx (<< 1.2~), icedtea-plugin (<< 1.1.2-1~), openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Description: NetX - implementation of the Java Network Launching Protocol (JNLP)
 NetX provides a drop-in replacement for javaws (Java Web Start). Since
 upstream NetX is dormant, IcedTea is hosting and modifying the sources
 in the IcedTea-Web directory.
 .
 This package contains the architecture independent files.

Package: icedtea-8-plugin
Section: web
Architecture: amd64 armel armhf arm64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 ppc64el s390 s390x sparc x32
Multi-Arch: same
Depends: openjdk-8-jre, icedtea-netx (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: icedtea-gcjwebplugin (<< 1.0-1ubuntu4), icedtea6-plugin (<< 6b21.2~pre1-1~), icedtea-plugin (<< 1.2~pre1-1~)
Xb-Npp-Description: IcedTea Java Web Browser Plugin for OpenJDK 8 (execution of applets on web pages)
Xb-Npp-Applications: ec8030f7-c20a-464f-9b0e-13a3a9e97384, 92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a, aa5ca914-c309-495d-91cf-3141bbb04115
Xb-Npp-Name: The IcedTea Web Browser Plugin
Xb-Npp-MimeType: application/x-java-vm, application/x-java-applet, application/x-java-applet;version=1.1, application/x-java-applet;version=1.1.1, application/x-java-applet;version=1.1.2, application/x-java-applet;version=1.1.3, application/x-java-applet;version=1.2, application/x-java-applet;version=1.2.1, application/x-java-applet;version=1.2.2, application/x-java-applet;version=1.3, application/x-java-applet;version=1.3.1, application/x-java-applet;version=1.4, application/x-java-applet;version=1.4.1, application/x-java-applet;version=1.4.2, application/x-java-applet;version=1.5, application/x-java-applet;version=1.6, application/x-java-applet;version=1.8, application/x-java-applet;jpi-version=1.8.0_00, application/x-java-bean, application/x-java-bean;version=1.1, application/x-java-bean;version=1.1.1, application/x-java-bean;version=1.1.2, application/x-java-bean;version=1.1.3, application/x-java-bean;version=1.2, application/x-java-bean;version=1.2.1, application/x-java-bean;version=1.2.2, application/x-java-bean;version=1.3, application/x-java-bean;version=1.3.1, application/x-java-bean;version=1.4, application/x-java-bean;version=1.4.1, application/x-java-bean;version=1.4.2, application/x-java-bean;version=1.5, application/x-java-bean;version=1.6, application/x-java-bean;version=1.8, application/x-java-bean;jpi-version=1.8.0_00
Description: web browser plugin based on OpenJDK and IcedTea to execute Java applets
 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
 LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
 browsers that support the NPAPI.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

DPKG_VARS		:= $(shell dpkg-architecture)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

CHANGELOG_VARS := $(shell dpkg-parsechangelog | sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
PKGSOURCE := $(call vafilt,$(CHANGELOG_VARS),Source)
PKGVERSION := $(call vafilt,$(CHANGELOG_VARS),Version)

distribution := $(shell lsb_release --id --short)
distrel := $(shell lsb_release --codename --short)
ifeq ($(distrel),n/a)
  distrel := sid
endif

multiarch_dir = /$(DEB_HOST_MULTIARCH)
ifneq (,$(DEB_HOST_MULTIARCH))
  ifneq (,$(filter $(distrel),natty oneiric))
    DEB_HOST_MULTIARCH =
    multiarch_dir =
  endif
endif
ifneq (,$(filter $(distrel),hardy intrepid jaunty karmic lucid maverick natty oneiric precise quantal raring lenny etch squeeze wheezy))
  jre_versions = 6
endif
# for simplicity build the plugin for 7, 8 for multiarch setup only,
# anything else requires backports.
ifneq (,$(DEB_HOST_MULTIARCH))
  ifneq (,$(filter $(distrel), precise trusty utopic vivid wily wheezy))
    jre_versions += 7
  else
    jre_versions += 8
  endif
endif

ifneq (,$(wildcard /usr/bin/dpkg-buildflags))
  buildflags := \
	CXXFLAGS='$(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)' \
	LDFLAGS='$(shell dpkg-buildflags --get LDFLAGS)'
endif

arch_map	 := alpha=alpha arm=arm armel=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i586 lpia=i586 m68k=m68k mips=mips mipsel=mipsel powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64 sparc=sparc sparc64=sparc64 sh4=sh s390=s390 s390x=s390x ia64=ia64
archdir_map     := alpha=alpha arm=arm armel=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i386 lpia=i386 m68k=m68k mips=mips mipsel=mipsel powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64 sparc=sparc sparc64=sparcv9 sh4=sh s390=s390 s390x=s390x ia64=ia64

jvmarch	  := $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
			   $(filter $(DEB_HOST_ARCH)=%, $(arch_map))))
archdir	  := $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
			   $(filter $(DEB_HOST_ARCH)=%, $(archdir_map))))

ifneq (,$(filter $(distrel),hardy intrepid jaunty karmic lucid maverick natty oneiric precise lenny etch squeeze))
  is7_default = no
  default_version = 6
  default_plugin_version = 6
else
  ifneq (,$(filter $(distrel), wheezy))
    default_plugin_version = 6
  else ifneq (,$(filter $(distrel), squeeze trusty utopic vivid wily))
    is7_default = yes
    default_version = 7
    default_plugin_version = 7
  else ifneq (,$(filter $(distrel), sid stretch xenial))
    is8_default = yes
    default_version = 8
    default_plugin_version = 8
  endif
endif

# dependency package for older releases
ifeq (,$(filter $(distrel),hardy intrepid jaunty karmic lucid maverick natty oneiric precise quantal raring lenny etch squeeze wheezy))
  nopkgs = -Nicedtea6-plugin
endif

TOP = usr/lib/jvm
origin = openjdk
basename = openjdk-$(shortver)
ifneq (,$(DEB_HOST_MULTIARCH))
  jdk6_home = $(TOP)/java-6-openjdk-$(DEB_HOST_ARCH)
  jdk7_home = $(TOP)/java-7-openjdk-$(DEB_HOST_ARCH)
  jdk8_home = $(TOP)/java-8-openjdk-$(DEB_HOST_ARCH)
else
  jdk6_home = $(TOP)/java-6-openjdk
  jdk7_home = $(TOP)/java-7-openjdk
endif
base6dir = $(jdk6_home)
base7dir = $(jdk7_home)
base8dir = $(jdk8_home)
vendor = IcedTea
shortver = 6
last_npp_version = 6b18~pre2-2
priority6 = 1061
# not yet higher than for 6
priority7 = $(if $(filter yes, $(is7_default)),1071,1060)
plugin_name = IcedTeaPlugin.so
# not yet higher than for 7
priority8 = $(if $(filter yes, $(is8_default)),1081,1070)

ifneq (,$(filter $(DEB_HOST_ARCH), alpha hppa sparc64)$(filter $(distrel), dapper))
  with_plugin_pkg = no
else ifneq (,$(filter $(DEB_HOST_ARCH)-$(distrel), sparc-hardy sparc-jaunty))
  with_plugin_pkg = no
else
  with_plugin_pkg = yes
endif

ifeq ($(distribution),Debian)
  ifneq (,$(filter $(distrel),lenny))
    bd_plugin = xulrunner-dev (>= 1.9.0),
  else ifneq (,$(filter $(distrel),squeeze wheezy))
    bd_plugin = xulrunner-dev (>= 1.9.1.3-3) [!alpha !sparc64],
  else
    bd_plugin = iceweasel-dev [!alpha !sparc64],
    bd_plugin = npapi-sdk-dev,
  endif
else
  ifneq (,$(filter $(distrel),gutsy feisty edgy dapper))
    bd_plugin = firefox-dev,
  else ifneq (,$(filter $(distrel),intrepid))
    bd_plugin = xulrunner-1.9-dev,
  else ifneq (,$(filter $(distrel),hardy jaunty))
    # all these use the xulrunner-1.9.2 backports in *-security
    bd_plugin = xulrunner-1.9.2-dev [!sparc],
    xulrunner_depends = xulrunner-1.9.2
  else ifneq (,$(filter $(distrel),karmic lucid maverick))
    # all these use the xulrunner-1.9.2 backports in *-security
    bd_plugin = xulrunner-1.9.2-dev,
    xulrunner_depends = xulrunner-1.9.2
  else
    bd_plugin = firefox-dev,
    xulrunner_depends = firefox (>= 4.0~b7) | chromium-browser | epiphany-browser | midori
  endif
endif


ifeq ($(is7_default),yes)
  bd_openjdk = openjdk-7-jdk,
  jdk_default_home = $(jdk7_home)
else ifeq ($(is8_default),yes)
  bd_openjdk = openjdk-8-jdk,
  jdk_default_home = $(jdk8_home)
else
  bd_openjdk = openjdk-6-jdk (>= 6b23~pre10~),
  jdk_default_home = $(jdk6_home)
endif

ifeq ($(default_plugin_version),8)
  netx_depends = openjdk-8-jre | openjdk-7-jre
  netx_depends = openjdk-8-jre
else ifeq ($(default_plugin_version),7)
  netx_depends = openjdk-7-jre | openjdk-6-jre (>= 6b23~pre10~)
else
  netx_depends = openjdk-6-jre (>= 6b23~pre10~) | openjdk-7-jre
endif

ifneq (,$(DEB_HOST_MULTIARCH))
  netx_depends := $(netx_depends), icedtea-netx-common (>= $${binary:Version})
endif

ifeq ($(distribution),Ubuntu)
  ifneq (,$(filter $(distrel),jaunty intrepid hardy gutsy feisty edgy dapper))
    # FIXME: check for every release ...
    browser_plugin_dirs = xulrunner-addons firefox iceape iceweasel mozilla midbrowser xulrunner
  else
    browser_plugin_dirs = mozilla
  endif
else
  browser_plugin_dirs = mozilla
endif

java6_launcher = /$(base6dir)/bin/java
java7_launcher = /$(base7dir)/bin/java
java8_launcher = /$(base8dir)/bin/java
ifeq ($(distribution),Ubuntu)
  ifeq (,$(filter $(distrel),karmic jaunty intrepid hardy gutsy feisty edgy dapper))
    java_launcher = cautious-launcher %f /$(basedir)/bin/java
  endif
endif

control_vars = \
	'-Vxulrunner:Depends=$(xulrunner_depends)' \
	'-Vnetx:Depends=$(netx_depends)'

#	--prefix=/$(jdk_home) \

CONFIGURE_ARGS = \
	--prefix=/usr \
	--with-pkgversion="$(PKGVERSION)" \
	--disable-docs

ifneq ($(with_plugin_pkg),yes)
  CONFIGURE_ARGS += --disable-plugin
endif

p_netx = icedtea-netx
p_comm = icedtea-netx-common
p_plug6 = icedtea-6-plugin
p_plug7 = icedtea-7-plugin
p_plug8 = icedtea-8-plugin
d_netx = debian/$(p_netx)
d_comm = debian/$(p_comm)
d_plug6 = debian/$(p_plug6)
d_plug7 = debian/$(p_plug7)
d_plug8 = debian/$(p_plug8)

debian/control: debian/control.in debian/rules
	@cp -p debian/control debian/control.old
	sed \
		-e 's/@bd_plugin@/$(bd_plugin)/g' \
		-e 's/@bd_openjdk@/$(bd_openjdk)/g' \
		-e 's/@default_version@/$(default_version)/g' \
		-e 's/@default_plugin_version@/$(default_plugin_version)/g' \
	     debian/control.in \
	     $(if $(DEB_HOST_MULTIARCH),debian/control.common) \
	     $(if $(filter 6, $(jre_versions)),debian/control.6) \
	     $(if $(filter 7, $(jre_versions)),debian/control.7) \
	     $(if $(filter 8, $(jre_versions)),debian/control.8) \
	     $(if $(nopkgs),,debian/control.compat) \
	     $(if $(DEB_HOST_MULTIARCH),,| grep -v '^Multi-Arch:') \
		  > debian/control
	@if cmp -s debian/control debian/control.old; then \
	  rm -f debian/control.old; \
	else \
	  diff -u debian/control.old debian/control; \
	  echo "debian/control did change, please restart the build"; \
	  rm -f debian/control.old; \
	  exit 1; \
	fi

packaging-files:
	for f in debian/*.in; do \
	  case "$$f" in debian/control.in) continue; esac; \
	  case "$$f" in \

## icedtea-web 1.7.2

=== debian/changelog ===
icedtea-web (1.7.2-2) unstable; urgency=medium

  * Team upload.
  * Fixed the installation of the CLI tools alternatives (Closes: #924706)
  * Improved the package description (Closes: #706306)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 18 Mar 2019 00:57:12 +0100

icedtea-web (1.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Fixed the build failure with Java 11 (Closes: #912549)
  * Added the missing dependency on a Java runtime (Closes: #912464)
  * icedtea-netx now provides icedtea-netx-common (Closes: #911995)
  * Enabled the enhanced XML parser based on Tagsoup
  * Enabled Proxy Auto Config support with Rhino (Closes: #673415)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 15 Mar 2019 23:44:27 +0100

icedtea-web (1.7.1-1) unstable; urgency=medium

  * Team upload.

  [ Vincent Privat ]
  * IcedTea-Web 1.7.1 release (Closes: #886109).
  * Build using default-jdk (Closes: #894360).
  * Add support for openjdk-10.
  * Drop support of browser plugin (deprecated technology).
  * Drop unneeded patches.
  * Fix lintian warnings.
  * Update the copyright file.

  [ Emmanuel Bourg ]
  * No longer integrate icedtea-web with a specific JDK
    (Closes: #743922, #642901, #712292)
  * Merged icedtea-netx-common into icedtea-netx (Closes: #798946, #675082)
  * Package transferred to the Java Team.
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889448)
  * Fixed the detection of Java 10+ in the configure script
  * No longer generate debian/control from template files
  * Updated the .desktop files (Closes: #889553)
  * Build with the DH sequencer
  * Use Breaks/Replaces instead of Conflicts/Replaces in debian/control
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Use a secure URL in debian/watch

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 24 Oct 2018 14:42:28 +0200

icedtea-web (1.6.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply fix from Santiago Vila to fix "dpkg-buildpackage -A".
    (Closes: #831932)

 -- Adrian Bunk <bunk@debian.org>  Sat, 14 Jan 2017 17:46:54 +0200

=== debian/control ===
Source: icedtea-web
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Klose <doko@ubuntu.com>
Build-Depends:
 debhelper (>= 11),
 default-jdk,
 dh-exec,
 librhino-java,
 libtagsoup-java,
 pkg-config,
 zip
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/java-team/icedtea-web.git
Vcs-Browser: https://salsa.debian.org/java-team/icedtea-web
Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web

Package: icedtea-netx
Architecture: all
Depends: ${misc:Depends}, default-jre, librhino-java, libtagsoup-java
Breaks:
 icedtea-netx-common (<< 1.7.1-1~),
 openjdk-6-jre (<< 6b18-1.8.7-3),
 openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Replaces:
 icedtea-netx-common (<< 1.7.1-1~),
 openjdk-6-jre (<< 6b18-1.8.7-3),
 openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Provides: icedtea-netx-common
Description: Implementation of the Java Network Launching Protocol (JNLP)
 NetX provides a drop-in replacement for javaws (Java Web Start). Since
 upstream NetX is dead, the IcedTea Web project is hosting a fork of the
 original code. However, as icedtea-web has evolved to complex set of tools,
 extensions and tests, it has now only a few lines of code shared with the
 original implementation.
 .
 IcedTea's NetX currently supports verification of signed jars, trusted
 certificate storing, system certificate store checking, and provides
 the services specified by the JNLP API.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

buildflags := CXXFLAGS='$(CPPFLAGS) $(CFLAGS)' LDFLAGS='$(LDFLAGS)'

%:
	dh $@

override_dh_auto_configure:
	mkdir -p build/completion
	cd build && $(buildflags) ../configure --prefix=/usr \
	                                       --bindir=/usr/share/icedtea-web/bin/ \
	                                       --mandir=/usr/share/icedtea-web/man/ \
	                                       --with-pkgversion="$(DEB_VERSION_UPSTREAM)" \
	                                       --disable-docs \
	                                       --disable-pluginjar \
	                                       --disable-native_plugin \
	                                       --with-java=/usr/bin/java \
	                                       --with-jdk-home=/usr/lib/jvm/default-java

override_dh_auto_build:
	rm -Rf netx/sun netx/net/sourceforge/jnlp/NetxPanel.java
	MODULARJDK_ARGS_DIR=/usr/share/icedtea-web/bin/itw-modularjdk.args \
	$(MAKE) -C build VERSION_DEFS='-DHAVE_JAVA9'

override_dh_auto_install:
	$(MAKE) -C build install DESTDIR=$(CURDIR)/debian/tmp

	# compress manpages
	find debian/tmp/usr/share/icedtea-web/man/man1/ -type f ! -type l | xargs gzip -9v -n

## icedtea-web 1.8

=== Makefile ===
TESTNAME=JavaFx

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)
JARSIGNER=$(EXPORTED_JARSIGNER)

TMPDIR:=$(shell mktemp -d)

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME)
	#this test contains prebuild binary, as javafx, when installed on computer, preven ITW from building
	#due to JSObject differennt implementation
	#$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) Controller.java Main.java; \
	#cp helloworld.fxml $(TMPDIR) ; \
	#pushd $(TMPDIR); \
	#$(JAR) cf $(TESTNAME).jar *.class *.fxml; \
	#popd
	#cp $(TMPDIR)/$(TESTNAME).jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	cp ../resources/* $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	rm -rf $(TMPDIR); \
	echo PREPARED REPRODUCER $(TESTNAME); \

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/MixedSigningApplet/srcs/Makefile ===
TESTNAME=MixedSigningApplet

SRC_FILES=MixedSigningAppletSigned.java MixedSigningAppletHelper.java
ENTRYPOINT_CLASSES=MixedSigningApplet

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)
JARSIGNER=$(EXPORTED_JARSIGNER)
JARSIGNER_CMD=$(JARSIGNER) -keystore $(TOP_BUILD_DIR)/$(PRIVATE_KEYSTORE_NAME) -storepass $(PRIVATE_KEYSTORE_PASS) -keypass $(PRIVATE_KEYSTORE_PASS)

ifeq ($(OS), Windows_NT)
	TMPDIR:=$(shell cygpath -p -m $(shell mktemp -d))
else
	TMPDIR:=$(shell mktemp -d)
endif

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME)

	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) $(SRC_FILES); \

	cp ../resources/* $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \

	cd $(TMPDIR); \
	$(JAR) cfe MixedSigningAppletSigned.jar signed.MixedSigningAppletSigned signed; \
	$(JAR) cf MixedSigningApplet.jar helper; \
	cd -; \

	$(JARSIGNER_CMD) -sigfile Alpha $(TMPDIR)/MixedSigningAppletSigned.jar $(TEST_CERT_ALIAS)_signed; \

	cp $(TMPDIR)/MixedSigningApplet{Signed,}.jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \

	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR); \
	rm -rf $(TMPDIR); \

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/UnsignedContentInMETAINF/srcs/Makefile ===
TESTNAME=UnsignedContentInMETAINF
JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
DEPLOY_DIR=$(REPRODUCERS_TESTS_SERVER_DEPLOYDIR)
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)
ABS_SRC_PATH=$(REPRODUCERS_TESTS_SRCDIR)/custom/$(TESTNAME)/srcs

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME)
	echo "USING ABSPATH = " $(ABS_SRC_PATH)
	cp $(DEPLOY_DIR)/ReadPropertiesSigned.jar $(DEPLOY_DIR)/UnsignedContentInMETAINF.jar
	# Place an unsigned file in the META-INF folder
	cd $(ABS_SRC_PATH)
	$(JAR) uf $(DEPLOY_DIR)/UnsignedContentInMETAINF.jar META-INF/
	echo PREPARED REPRODUCER $(TESTNAME)

clean-reproducer:
	echo CLEANING REPRODUCER $(TESTNAME)
	rm -f UnsignedContentInMETAINF.jar
	echo CLEANED REPRODUCER $(TESTNAME)

=== debian/changelog ===
icedtea-web (1.8-0ubuntu8~18.04) bionic; urgency=medium

  * SRU: LP: #1820086.
  * Backport icedtea-web to 18.04 LTS.
  * Provide empty icedtea-netx-common, icedtea-plugin and icedtea-8-plugin
    packages to match the binary packages found in 18.04 LTS.
    The plugin packages are non-functional, because the NPAPI support
    in browsers was already removed.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Mar 2019 08:53:42 +0100

icedtea-web (1.8-0ubuntu8) disco; urgency=medium

  * Provide a compatibility symlink netx.jar -> javaws.jar.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Mar 2019 14:02:43 +0100

icedtea-web (1.8-0ubuntu7) disco; urgency=medium

  * Merge changes from Debian 1.7.2-1:
    - Added the missing dependency on a Java runtime (Closes: #912464)
    - icedtea-netx now provides icedtea-netx-common (Closes: #911995)

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2019 13:30:24 +0100

icedtea-web (1.8-0ubuntu5) disco; urgency=medium

  * New upstream version.
  * Add JDK 11 support (Michael R. Crusoe). Closes: #912549.
  * Launchers now written in rust, architecture: all -> any.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Mar 2019 17:20:57 +0100

=== debian/control ===
Source: icedtea-web
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Klose <doko@ubuntu.com>
Build-Depends:
 debhelper (>= 11),
 default-jdk,
 dh-exec,
 pkg-config,
 zip,
 libtagsoup-java,
 librhino-java,
 rustc, cargo,
 bc
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/java-team/icedtea-web.git
Vcs-Browser: https://salsa.debian.org/java-team/icedtea-web
Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web

Package: icedtea-netx
Architecture: any
Depends: ${misc:Depends}, default-jre,
 libtagsoup-java,
 librhino-java,
Breaks:
 icedtea-netx-common (<< 1.7.1-1~),
 openjdk-6-jre (<< 6b18-1.8.7-3),
 openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Replaces:
 icedtea-netx-common (<< 1.7.1-1~),
 openjdk-6-jre (<< 6b18-1.8.7-3),
 openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Provides: icedtea-netx-common
Description: NetX - implementation of the Java Network Launching Protocol (JNLP)
 NetX provides a drop-in replacement for javaws (Java Web Start). Since
 upstream NetX is dormant, IcedTea is hosting and modifying the sources
 in the IcedTea-Web directory.
 .
 IcedTea's NetX currently supports verification of signed jars, trusted
 certificate storing, system certificate store checking, and provides
 the services specified by the jnlp API.

Package: icedtea-netx-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, icedtea-netx
Conflicts: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Replaces: icedtea-netx (<< 1.2~),
 icedtea-plugin (<< 1.1.2-1~),
 openjdk-6-jre (<< 6b18-1.8.7-3),
 openjdk-6-jre-headless (<< 6b18-1.8.7-3),
 icedtea-netx (<< 1.8),
Description: NetX - implementation of the Java Network Launching Protocol (JNLP)
 NetX provides a drop-in replacement for javaws (Java Web Start). Since
 upstream NetX is dormant, IcedTea is hosting and modifying the sources
 in the IcedTea-Web directory.
 .
 This package is a dependency package introduced for the 18.04 LTS backport.

Package: icedtea-plugin
Section: web
Architecture: all
Depends: icedtea-8-plugin, ${misc:Depends}
Description: web browser plugin to execute Java applets (dependency package)
 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
 LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
 browsers that support the NPAPI.
 .
 This is a dependency package, it can be safely removed after upgrade.
 .
 WARNING: This is an empty package; the NPAPI support was removed in
 recent firefox and chromium browsers.

Package: icedtea-8-plugin
Section: web
Architecture: any
Multi-Arch: same
Depends: icedtea-netx (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: icedtea-gcjwebplugin (<< 1.0-1ubuntu4), icedtea6-plugin (<< 6b21.2~pre1-1~), icedtea-plugin (<< 1.2~pre1-1~)
Description: web browser plugin based on OpenJDK and IcedTea to execute Java applets
 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
 LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
 browsers that support the NPAPI.
 .
 WARNING: This is an empty package; the NPAPI support was removed in
 recent firefox and chromium browsers.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

buildflags := CXXFLAGS='$(CPPFLAGS) $(CFLAGS)' LDFLAGS='$(LDFLAGS)'

%:
	dh $@

override_dh_auto_configure:
	mkdir -p build/completion
	cd build && $(buildflags) ../configure --prefix=/usr \
	                                       --bindir=/usr/lib/icedtea-web/bin/ \
	                                       --mandir=/usr/lib/icedtea-web/man/ \
	                                       --with-pkgversion="$(DEB_VERSION_UPSTREAM)" \
	                                       --with-itw-libs=DISTRIBUTION \
	                                       --disable-docs \
	                                       --disable-pluginjar \
	                                       --disable-native_plugin \
	                                       --with-java=/usr/bin/java \
	                                       --with-jdk-home=/usr/lib/jvm/default-java

override_dh_auto_build:
	HOME=$(CURDIR) dh_auto_build

override_dh_auto_install:
	HOME=$(CURDIR) $(MAKE) -C build install DESTDIR=$(CURDIR)/debian/tmp

	# compress manpages
	find debian/tmp/usr/share/icedtea-web/man/man1/ -type f ! -type l | xargs gzip -9v -n

=== debian/watch ===
version=4
https://icedtea.classpath.org/download/source/icedtea-web-(.*)\.tar\.gz

## icedtea-web 1.8.2

=== debian/changelog ===
icedtea-web (1.8.2-2) unstable; urgency=medium

  * Team upload.
  * Added a symlink restoring /usr/share/icedtea-web/netx.jar (Closes: #932604)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 22 Jul 2019 01:21:27 +0200

icedtea-web (1.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Keep building the shell launchers
    - Set the new --with-itw-libs build flag
  * Track and download the new releases from GitHub
  * Standards-Version updated to 4.4.0

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 19 Jul 2019 00:09:27 +0200

=== debian/control ===
Source: icedtea-web
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Klose <doko@ubuntu.com>
Build-Depends:
 debhelper (>= 11),
 default-jdk,
 dh-exec,
 librhino-java,
 libtagsoup-java,
 pkg-config,
 zip
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/java-team/icedtea-web.git
Vcs-Browser: https://salsa.debian.org/java-team/icedtea-web
Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web

Package: icedtea-netx
Architecture: all
Depends: ${misc:Depends}, default-jre, librhino-java, libtagsoup-java
Breaks:
 icedtea-netx-common (<< 1.7.1-1~),
 openjdk-6-jre (<< 6b18-1.8.7-3),
 openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Replaces:
 icedtea-netx-common (<< 1.7.1-1~),
 openjdk-6-jre (<< 6b18-1.8.7-3),
 openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Provides: icedtea-netx-common
Description: Implementation of the Java Network Launching Protocol (JNLP)
 NetX provides a drop-in replacement for javaws (Java Web Start). Since
 upstream NetX is dead, the IcedTea Web project is hosting a fork of the
 original code. However, as icedtea-web has evolved to complex set of tools,
 extensions and tests, it has now only a few lines of code shared with the
 original implementation.
 .
 IcedTea's NetX currently supports verification of signed jars, trusted
 certificate storing, system certificate store checking, and provides
 the services specified by the JNLP API.

## icedtea-web 1.8.3

=== debian/changelog ===
icedtea-web (1.8.3-2) unstable; urgency=medium

  * Team upload.
  * Use SOURCE_DATE_EPOCH for the timestamps in the documentation to make
    the package reproducible

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 12 Sep 2019 00:15:16 +0200

icedtea-web (1.8.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #934319)
    - Fixes CVE-2019-10181: Unsigned code injection in a signed JAR file
    - Fixes CVE-2019-10182: Path traversal while processing <jar/> elements
      of JNLP files results in arbitrary file overwrite
    - Fixes CVE-2019-10185: Directory traversal in the nested jar
      auto-extraction leading to arbitrary file overwrite

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 09 Aug 2019 18:57:41 +0200
